Name:                leptonica
Version:             1.79.0
Release:             3
Summary:             C library for efficient image processing and image analysis operations
License:             Leptonica
URL:                 https://github.com/danbloomberg/leptonica
Source0:             https://github.com/DanBloomberg/leptonica/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:              CVE-2020-36277.patch
Patch1:              CVE-2020-36278.patch
Patch2:              CVE-2020-36279.patch
Patch3:              CVE-2020-36280.patch
Patch4:              CVE-2020-36281.patch
Patch5:              CVE-2022-38266.patch

BuildRequires:       gcc automake autoconf libtool giflib-devel libjpeg-devel libpng-devel
BuildRequires:       libtiff-devel libwebp-devel zlib-devel
BuildRequires:       gnuplot
%description
The library supports many operations that are useful on
 * Document images
 * Natural images
Fundamental image processing and image analysis operations
 * Rasterop (aka bitblt)
 * Affine transforms (scaling, translation, rotation, shear)
   on images of arbitrary pixel depth
 * Projective and bi-linear transforms
 * Binary and gray scale morphology, rank order filters, and
   convolution
 * Seed-fill and connected components
 * Image transformations with changes in pixel depth, both at
   the same scale and with scale change
 * Pixelwise masking, blending, enhancement, arithmetic ops,
   etc.

%package devel
Summary:             Development files for %{name}
Requires:            %{name}%{?_isa} = %{version}-%{release}
%description devel
The %{name}-devel package contains header files for
developing applications that use %{name}.

%package tools
Summary:             Leptonica utility tools
Requires:            %{name}%{?_isa} = %{version}-%{release}
%description tools
The %{name}-tools package contains leptonica utility tools.

%prep
%autosetup -p1

%build
autoreconf -ifv
%configure --disable-static --program-prefix=leptonica-
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la
install -Dpm 0644 lept.pc %{buildroot}/%{_libdir}/pkgconfig

%check
make check VERBOSE=1

%files
%license leptonica-license.txt
%doc README.html version-notes.html
%{_libdir}/liblept.so.5*

%files devel
%{_includedir}/%{name}
%{_libdir}/liblept.so
%{_libdir}/libleptonica.so
%{_libdir}/pkgconfig/lept.pc
%{_libdir}/cmake/LeptonicaConfig-version.cmake
%{_libdir}/cmake/LeptonicaConfig.cmake

%files tools
%{_bindir}/*

%changelog
* Mon Feb 27 2023 luopihui <luopihui@ncti-gba.cn> - 1.79.0-3
- Fix CVE-2022-38266

* Thu Aug 12 2021 yaoxin <yaoxin30@huawei.com> - 1.79.0-2
- Fix CVE-2020-36277 CVE-2020-36278 CVE-2020-36279 CVE-2020-36280 CVE-2020-36281

* Thu May 6 2021 baizhonggui <baizhonggui@huawei.com> - 1.79.0-1
- update to 1.79.0

* Mon Jul 27 2020 chengzihan <chengzihan2@huawei.com> - 1.78.0-1
- Package init
